Skip to main content
GET
/
v0
/
contracts
List contracts
curl --request GET \
  --url https://api.sfcompute.com/v0/contracts \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "contract",
      "status": "active",
      "id": "cont_xyz789",
      "created_at": "2024-07-15T22:30:17.426Z",
      "instance_type": "h100i",
      "shape": {
        "intervals": [
          "2024-07-16T00:00:00Z",
          "2024-07-17T00:00:00Z"
        ],
        "quantities": [
          10,
          0
        ]
      },
      "state": "Active",
      "is_node": false,
      "procurement_id": "proc_1234567890abcdef"
    }
  ],
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.sfcompute.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Create an API token using sf tokens create or at https://sfcompute.com/account/api-keys.

Query Parameters

instance_type
string

Filter by instance type

Examples:

"h100i"

"h100v"

"h200ki"

active_within_interval_start
string<date-time>

Start of interval to find active contracts. Must be used with active_within_interval_end An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

active_within_interval_end
string<date-time>

End of interval to find active contracts. Must be used with active_within_interval_start An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

state
string

Filter by contract state. Options: "All", "Upcoming", "Active", "Expired". Default excludes expired contracts

include_nodes
boolean

Include contracts managed by the Nodes API

include_procurements
boolean

Include contracts associated with procurements

Response

List of contracts

object
enum<string>
required
Available options:
list
Example:

"list"

data
object[]
required
has_more
boolean
required